Bug 212923 - (pear-XML-RSS) Review Request: php-pear-XML-RSS - RSS parser
Review Request: php-pear-XML-RSS - RSS parser
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT pear-DG-RSS
  Show dependency treegraph
 
Reported: 2006-10-29 23:50 EST by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-10 21:29:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-10-29 23:50:36 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-XML-RSS.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-XML-RSS-0.9.10-1.src.rpm

Description:
Parser for Resource Description Framework (RDF) Site Summary (RSS)
documents.
Comment 1 Remi Collet 2006-11-07 14:20:31 EST
REVIEW:
* Source XML_RSS-0.9.10.tgz is the same as upstream
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible (PHP License).
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* Builds fine in mock (development).
* package installs properly
* rpmlint 
W: php-pear-XML-RSS no-documentation
* final provides are sane:
php-pear(XML_RSS) = 0.9.10
php-pear-XML-RSS = 0.9.10-1.fc7
* %check is not present; 
* owns the directories it creates (XML own by php-pear)
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear install)
* code, not content.
* no documentation

SHOULD :
- requires other extensions with minimal version (php-pear(XML_Parser) >= 1.0.1)
- Add the PHP license in the %doc
Comment 2 Remi Collet 2006-11-07 14:23:57 EST
Test provided upstream succeed (using php-PHPUnit):

$ php XML_RSS_Infrastructure_Test.php 
TestCase XML_RSS_Infrastructure_Test->testIsXML_Parser() passed
TestCase XML_RSS_Infrastructure_Test->testBug2310() passed

$ php XML_RSS_Parsing_Test.php 
TestCase XML_RSS_Parsing_Test->testParseLocalFile() passed
TestCase XML_RSS_Parsing_Test->testGetStructure() passed
TestCase XML_RSS_Parsing_Test->testGetStructureFromString() passed
TestCase XML_RSS_Parsing_Test->testGetChannelInfo() passed
TestCase XML_RSS_Parsing_Test->testGetItems() passed
TestCase XML_RSS_Parsing_Test->testGetImages() passed
TestCase XML_RSS_Parsing_Test->testGetTextinputs() passed
TestCase XML_RSS_Parsing_Test->testDescriptionCdata() passed
Comment 3 Christopher Stone 2006-11-09 19:13:58 EST
Heya Remi, this bug is still set with a status of NEW and blocking FE-REVIEW, I
was wondering if you had meant to approve this?

Thanks for the review :)
Comment 4 Christopher Stone 2006-11-09 23:42:29 EST
SPEC: http://tkmame.retrogames.com/fedora-extras/php-pear-XML-RSS.spec
SRPM: http://tkmame.retrogames.com/fedora-extras/php-pear-XML-RSS-0.9.10-2.src.rpm

%changelog
* Thu Nov 09 2006 Christopher Stone <chris.stone@gmail.com> 0.9.10-2
- Added license file to %%doc
- Added versioned requires
Comment 5 Remi Collet 2006-11-10 01:05:36 EST
the 2 "should" in comment #1 are not a blocker and are ok now.

APPROVED
Comment 6 Christopher Stone 2007-04-22 18:40:50 EDT
Branch Package CVS Request
=======================
Package Name: php-pear-XML-RSS
Short Description: RSS parser
Owners: chris.stone@gmail.com
Branches: EL-5
InitialCC: 

Note You need to log in before you can comment on or make changes to this bug.